07 ноября 2012

Как установить драйвер AMD Catalyst legacy в Ubuntu 12.10


Последний драйвер AMD Catalyst версии 12.9 не может быть использован в Ubuntu 12.10, если ваша видеокарта AMD Radeon HD серии 2xxx, 4xxx.

Драйверы для этих карт теперь доступны в отдельной ветви под названием legacy. К сожалению, драйверы legacy (версия 12.6) не были обновлены для работы с Ubuntu 12.10. Ubuntu 12.10 поставляется с Xorg 1.13 в то время как эти драйверы имеют поддержку старого Xorg 1.12.

Так что, если вы хотите установить эти драйверы в Ubuntu 12.10, то должны вернуться к Xorg 1.12. Репозиторий был предоставлен Tomasz Makarewicz (​​Томаш Макаревич), который включает все необходимые пакеты чтобы понизить fglrx-legacy.

Для установки этих пакетов, скопируйте и выполните следующие команды в терминале:

sudo add-apt-repository ppa:makson96/fglrx
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install fglrx-legacy

Имейте ввиду, что эти пакеты официально не поддерживаются Ubuntu, так что используйте их на свой страх и риск.
Если что-то пойдет не так, вы можете удалить fglrx-legacy, выполнив следующие команды:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:makson96/fglrx

Удачи.